// Smooth scrolling for anchor links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

// Add to cart functionality
document.querySelectorAll('.product-button').forEach(button => {
  button.addEventListener('click', function(e) {
    e.preventDefault();
    const productName = this.closest('.product-card').querySelector('h3').textContent;
    alert(`${productName} added to cart!`);
    // Here you would typically add the product to a shopping cart
  });
});

// Form validation
document.querySelector('.contact-form').addEventListener('submit', function(e) {
  const name = this.querySelector('input[type="text"]').value;
  const email = this.querySelector('input[type="email"]').value;
  const message = this.querySelector('textarea').value;
  
  if (!name || !email || !message) {
    e.preventDefault();
    alert('Please fill out all fields before submitting.');
  }
});